
import java.io.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
  * FormC Class
  */

public class FormC extends HttpServlet {

   public void doGet(HttpServletRequest request,
                     HttpServletResponse response)
				     throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        
        HttpSession session = request.getSession(true);
        FormCData fcData = (FormCData)session.getValue("fcData");
        
        
        if (fcData == null) {

	        fcData = new FormCData();
	        
	        if (fcData.init()) {
		        session.putValue("fcData", fcData);
    		    out.println(fcData.getDefaultFormC());
    		}
    		else {
	        	out.println(fcData.getErrorFormC());
	        }	
    	}    
    	else {
	   		String nextAction = request.getParameter("txtNextAction");

    		if (nextAction.equals("CollectData")) {
	            
	            String term    = request.getParameter("cboTerm");
	            String course  = request.getParameter("cboCourse");
	            String section = request.getParameter("cboSection");
	            
	   			out.println(fcData.getSelectFormC(term, course, section));
	   		}	
    		else if (nextAction.equals("DisplayData")) {

    			String [] iNames  = RequestUtil.getParmNames(request);
	   			String [] iValues = RequestUtil.getParmValues(iNames, request);
    			
    			out.println(fcData.getDisplayFormC(iNames, iValues));
    		}
    		else if (nextAction.equals("SQL")) {	

    			out.println(fcData.getSqlFormC());

    		}	
    	}
    }    
}



